Bug 1892830

Summary: text installation fails for different languages than default english
Product: [Fedora] Fedora Reporter: Vaclav Kos <urbanczech>
Component: python-simplelineAssignee: Vendula Poncova <vponcova>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: anaconda-maint-list, dchen, jkonecny, jonathan, kellin, michel, mkolman, sbueno, vanmeeuwen+fedora, vponcova, vslavik, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-simpleline-1.8-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-16 08:28:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vaclav Kos 2020-10-29 18:21:14 UTC
SUBJ: Text installation fails for different languages than default english


There is no way how to proceed with '5) [!]' bullet.



## To reproduce pass language parameter 'inst.lang=cs_CZ' to the installer

ISO=./Fedora-Server-dvd-x86_64-33-1.2.iso
virt-install --name fc33 --vcpus 4 --memory 8192 --machine q35 --network type=direct,model=virtio,source=eno1 \
--location $ISO --disk format=raw,path=fc33.img,size=15 --nographics                                          \
--extra-args="console=tty0 console=ttyS0,115200n8 inst.text inst.lang=cs_CZ"




%< ----------------------------------------------------------------------------
================================================================================
================================================================================
Installation

1) [x] Nastavení jazyka                  2) [x] Nastavení času
       (Czech (Czechia))                        (Časové pásmo Etc/UTC)
3) [x] Instalační zdroj                  4) [x] Výběr softwaru
       (Místní média)                           (Vydání Fedora Serveru)
5) [!] Cíl instalace                     6) [x] Nastavení sítě
       (Vybráno automatické rozdělení)          (Drátové (enp1s0) připojeno)
7) [x] Heslo správce systému             8) [ ] Vytvoření uživatele
       (Heslo je nastaveno.)                    (Nebude vytvořen žádný uživatel)

Vyberte prosím z výše uvedených možností ['h' pro nápovědu, 'q' pro ukončení,
'r' pro obnovení, 's' pro zahájení instalace]: 
[anaconda]1:main* 2:shell  3:log  4:storage-log >Switch tab: Alt+Tab | Help: F1 

%< ----------------------------------------------------------------------------

Comment 1 Vaclav Kos 2021-01-22 09:44:36 UTC
Dobry den panove,

 do bugzilly jsem pred nekolika tydny reportoval chybu. Prozatim nebyla ani zamitnuta ani
prerazena do spravneho supliku. Muzete to prosim proverit? Snad je Michel Salim v poradku! :(

Comment 2 Michel Alexandre Salim 2021-01-27 04:34:01 UTC
This bug was assigned to the wrong component, so nobody who can work on it likely saw it. Apologies.

Comment 3 Vladimír Slávik 2021-02-16 20:26:45 UTC
Hello Vaclav, thank you for the report! I confirm this with 35.2. Czech can't progress beyond selecting disks, it immediately returns to the hub with "no disks selected" instead of showing the next screen for space reclamation.

---

Logging of TUI is basically nonexistent, so I have no idea what happens. All it shows is that there is no attempt to continue to the next spokes.

Comment 4 Vendula Poncova 2021-02-17 11:49:16 UTC
Fixed in a pull request: https://github.com/rhinstaller/python-simpleline/pull/90

Comment 5 Vendula Poncova 2021-02-17 17:01:04 UTC
We will also need to fix anaconda: https://github.com/rhinstaller/anaconda/pull/3182